Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
# dnf install mariadb-server
メタデータの期限切れの最終確認: 0:12:14 時間前の 2021年06月29日 04時15分22秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
mariadb-server x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 16 M
依存関係のインストール:
mariadb x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 6.0 M
mariadb-common x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 64 k
mariadb-connector-c x86_64 3.1.11-2.el8_3 appstream 200 k
mariadb-connector-c-config noarch 3.1.11-2.el8_3 appstream 15 k
mariadb-errmsg x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 234 k
perl-DBD-MySQL x86_64 4.046-3.module_el8.1.0+203+e45423dc appstream 156 k
弱い依存関係のインストール:
mariadb-backup x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 6.1 M
mariadb-gssapi-server x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 51 k
mariadb-server-utils x86_64 3:10.3.28-1.module_el8.3.0+757+d382997d appstream 1.1 M
トランザクションの概要
==========================================================================================================================================================
インストール 10 パッケージ
合計サイズ: 30 M
インストール後のサイズ: 153 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
mariadb-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64 mariadb-backup-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64
mariadb-common-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64 mariadb-connector-c-3.1.11-2.el8_3.x86_64
mariadb-connector-c-config-3.1.11-2.el8_3.noarch mariadb-errmsg-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64
mariadb-gssapi-server-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64 mariadb-server-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64
mariadb-server-utils-3:10.3.28-1.module_el8.3.0+757+d382997d.x86_64 perl-DBD-MySQL-4.046-3.module_el8.1.0+203+e45423dc.x86_64
完了しました!
# dnf install httpd
CentOS Linux 8 - AppStream 8.8 kB/s | 4.3 kB 00:00
メタデータの期限切れの最終確認: 0:00:01 時間前の 2021年06月29日 04時15分22秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
httpd x86_64 2.4.37-39.module_el8.4.0+778+c970deab appstream 1.4 M
依存関係のインストール:
centos-logos-httpd noarch 85.5-1.el8 baseos 74 k
httpd-filesystem noarch 2.4.37-39.module_el8.4.0+778+c970deab appstream 38 k
httpd-tools x86_64 2.4.37-39.module_el8.4.0+778+c970deab appstream 106 k
mod_http2 x86_64 1.15.7-3.module_el8.4.0+778+c970deab appstream 154 k
トランザクションの概要
==========================================================================================================================================================
インストール 5 パッケージ
合計サイズ: 1.8 M
インストール後のサイズ: 5.0 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
centos-logos-httpd-85.5-1.el8.noarch httpd-2.4.37-39.module_el8.4.0+778+c970deab.x86_64
httpd-filesystem-2.4.37-39.module_el8.4.0+778+c970deab.noarch httpd-tools-2.4.37-39.module_el8.4.0+778+c970deab.x86_64
mod_http2-1.15.7-3.module_el8.4.0+778+c970deab.x86_64
完了しました!
# 最初は PHP 8.0 を入れた
# dnf install -y https://rpms.remirepo.net/enterprise/remi-release-8.rpm
[root@133-130-99-80 ~]# dnf module enable php:remi-8.0 -y
メタデータの期限切れの最終確認: 0:00:27 時間前の 2021年06月29日 04時38分11秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
モジュールストリームの有効化中:
php remi-8.0
トランザクションの概要
==========================================================================================================================================================
完了しました!
[root@133-130-99-80 ~]# dnf install php php-cli php-common
メタデータの期限切れの最終確認: 0:00:54 時間前の 2021年06月29日 04時38分11秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
php x86_64 8.0.7-1.el8.remi remi-modular 1.6 M
php-cli x86_64 8.0.7-1.el8.remi remi-modular 4.7 M
php-common x86_64 8.0.7-1.el8.remi remi-modular 1.2 M
依存関係のインストール:
libsodium x86_64 1.0.18-2.el8 epel 162 k
oniguruma5php x86_64 6.9.7.1-1.el8.remi remi-safe 210 k
弱い依存関係のインストール:
nginx-filesystem noarch 1:1.14.1-9.module_el8.0.0+184+e34fea82 appstream 24 k
php-fpm x86_64 8.0.7-1.el8.remi remi-modular 1.6 M
php-mbstring x86_64 8.0.7-1.el8.remi remi-modular 524 k
php-opcache x86_64 8.0.7-1.el8.remi remi-modular 762 k
php-pdo x86_64 8.0.7-1.el8.remi remi-modular 154 k
php-sodium x86_64 8.0.7-1.el8.remi remi-modular 93 k
php-xml x86_64 8.0.7-1.el8.remi remi-modular 237 k
モジュールストリームの有効化中:
nginx 1.14
トランザクションの概要
==========================================================================================================================================================
インストール 12 パッケージ
ダウンロードサイズの合計: 11 M
インストール後のサイズ: 51 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
libsodium-1.0.18-2.el8.x86_64 nginx-filesystem-1:1.14.1-9.module_el8.0.0+184+e34fea82.noarch oniguruma5php-6.9.7.1-1.el8.remi.x86_64
php-8.0.7-1.el8.remi.x86_64 php-cli-8.0.7-1.el8.remi.x86_64 php-common-8.0.7-1.el8.remi.x86_64
php-fpm-8.0.7-1.el8.remi.x86_64 php-mbstring-8.0.7-1.el8.remi.x86_64 php-opcache-8.0.7-1.el8.remi.x86_64
php-pdo-8.0.7-1.el8.remi.x86_64 php-sodium-8.0.7-1.el8.remi.x86_64 php-xml-8.0.7-1.el8.remi.x86_64
完了しました!
# dnf install mod_ssl
メタデータの期限切れの最終確認: 0:04:21 時間前の 2021年06月29日 04時38分11秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
mod_ssl x86_64 1:2.4.37-39.module_el8.4.0+778+c970deab appstream 134 k
依存関係のインストール:
sscg x86_64 2.3.3-14.el8 appstream 49 k
トランザクションの概要
==========================================================================================================================================================
インストール 2 パッケージ
合計サイズ: 184 k
ダウンロードサイズの合計: 49 k
インストール後のサイズ: 364 k
これでよろしいですか? [y/N]: y
パッケージのダウンロード:
[SKIPPED] mod_ssl-2.4.37-39.module_el8.4.0+778+c970deab.x86_64.rpm: Already downloaded
(2/2): sscg-2.3.3-14.el8.x86_64.rpm 1.1 MB/s | 49 kB 00:00
----------------------------------------------------------------------------------------------------------------------------------------------------------
合計 570 kB/s | 184 kB 00:00
トランザクションの確認を実行中
トランザクションの確認に成功しました。
トランザクションのテストを実行中
トランザクションのテストに成功しました。
トランザクションを実行中
準備 : 1/1
インストール中 : sscg-2.3.3-14.el8.x86_64 1/2
インストール中 : mod_ssl-1:2.4.37-39.module_el8.4.0+778+c970deab.x86_64 2/2
scriptletの実行中: mod_ssl-1:2.4.37-39.module_el8.4.0+778+c970deab.x86_64 2/2
検証 : mod_ssl-1:2.4.37-39.module_el8.4.0+778+c970deab.x86_64 1/2
検証 : sscg-2.3.3-14.el8.x86_64 2/2
インストール済み:
mod_ssl-1:2.4.37-39.module_el8.4.0+778+c970deab.x86_64 sscg-2.3.3-14.el8.x86_64
完了しました!
# yum install snapd
メタデータの期限切れの最終確認: 0:09:20 時間前の 2021年06月29日 04時38分11秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
snapd x86_64 2.51-1.el8 epel 17 M
依存関係のインストール:
kernel-debug-core x86_64 4.18.0-305.3.1.el8 baseos 63 M
kernel-debug-modules x86_64 4.18.0-305.3.1.el8 baseos 54 M
policycoreutils-python-utils noarch 2.9-14.el8 baseos 252 k
python3-audit x86_64 3.0-0.17.20191104git1c2f876.el8 baseos 86 k
python3-libsemanage x86_64 2.9-6.el8 baseos 127 k
python3-policycoreutils noarch 2.9-14.el8 baseos 2.2 M
snap-confine x86_64 2.51-1.el8 epel 3.0 M
snapd-selinux noarch 2.51-1.el8 epel 424 k
トランザクションの概要
==========================================================================================================================================================
インストール 9 パッケージ
合計サイズ: 139 M
ダウンロードサイズの合計: 137 M
インストール後のサイズ: 223 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
kernel-debug-core-4.18.0-305.3.1.el8.x86_64 kernel-debug-modules-4.18.0-305.3.1.el8.x86_64 policycoreutils-python-utils-2.9-14.el8.noarch
python3-audit-3.0-0.17.20191104git1c2f876.el8.x86_64 python3-libsemanage-2.9-6.el8.x86_64 python3-policycoreutils-2.9-14.el8.noarch
snap-confine-2.51-1.el8.x86_64 snapd-2.51-1.el8.x86_64 snapd-selinux-2.51-1.el8.noarch
完了しました!
# service snapd start
Redirecting to /bin/systemctl start snapd.service
[root@133-130-99-80 conf.d]# sudo snap install core; sudo snap refresh core
error: system does not fully support snapd: cannot mount squashfs image using "squashfs": mount:
/tmp/sanity-mountpoint-275176209: unknown filesystem type 'squashfs'.
error: system does not fully support snapd: cannot mount squashfs image using "squashfs": mount:
/tmp/sanity-mountpoint-275176209: unknown filesystem type 'squashfs'.
# systemctl enable --now snapd.socket
Created symlink /etc/systemd/system/sockets.target.wants/snapd.socket → /usr/lib/systemd/system/snapd.socket.
# ln -s /var/lib/snapd/snap /snap
# sudo shutdown -r now
# snap install core; snap refresh core
2021-06-29T04:58:32+09:00 INFO Waiting for automatic snapd restart...
core 16-2.51 from Canonical✓ installed
snap "core" has no updates available
# snap install --classic certbot
certbot 1.16.0 from Certbot Project (certbot-eff✓) installed
# ln -s /snap/bin/certbot /usr/bin/certbot
# certbot --apache
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Which names would you like to activate HTTPS for?
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
1: example.mobalab.net
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Select the appropriate numbers separated by commas and/or spaces, or leave input
blank to select all options shown (Enter 'c' to cancel):
Certificate not yet due for renewal
You have an existing certificate that has exactly the same domains or certificate name you requested and isn't close to expiry.
(ref: /etc/letsencrypt/renewal/example.mobalab.net.conf)
What would you like to do?
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
1: Attempt to reinstall this existing certificate
2: Renew & replace the certificate (may be subject to CA rate limits)
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Select the appropriate number [1-2] then [enter] (press 'c' to cancel): 1
Deploying certificate
Successfully deployed certificate for nextcloud.mobalab.net to /etc/httpd/conf.d/example.mobalab.net-le-ssl.conf
Congratulations! You have successfully enabled HTTPS on https://example.mobalab.net
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
If you like Certbot, please consider supporting our work by:
* Donating to ISRG / Let's Encrypt: https://letsencrypt.org/donate
* Donating to EFF: https://eff.org/donate-le
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
# PHP 7.3 に変更
# dnf module enable php:remi-7.3 -y
メタデータの期限切れの最終確認: 2:02:16 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
オペレーションは、モジュール 'php' ストリーム 'remi-8.0' を ストリーム 'remi-7.3' へと切り替える結果となります
エラー: モジュールの有効なストリームを切り替えることはできません。
モジュールからインストールされた全てのコンテンツを削除し、 'dnf module reset <module_name>' コマンドを使用してリセットすることが推奨されます。モジュールの
リセット後、他のストリームをインストール可能です。
# dnf module reset php
メタデータの期限切れの最終確認: 2:02:43 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
モジュールの再設定中:
php
トランザクションの概要
==========================================================================================================================================================
これでよろしいですか? [y/N]: y
完了しました!
# dnf module enable php:remi-7.3 -y
メタデータの期限切れの最終確認: 2:03:01 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
モジュールストリームの有効化中:
php remi-7.3
トランザクションの概要
==========================================================================================================================================================
完了しました!
# dnf install php php-cli php-common
メタデータの期限切れの最終確認: 2:03:38 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
php x86_64 7.3.28-1.el8.remi remi-modular 3.0 M
php-cli x86_64 7.3.28-1.el8.remi remi-modular 4.6 M
php-common x86_64 7.3.28-1.el8.remi remi-modular 1.1 M
依存関係のインストール:
oniguruma5php x86_64 6.9.7.1-1.el8.remi remi-safe 210 k
php-json x86_64 7.3.28-1.el8.remi remi-modular 75 k
弱い依存関係のインストール:
nginx-filesystem noarch 1:1.14.1-9.module_el8.0.0+184+e34fea82 appstream 24 k
php-fpm x86_64 7.3.28-1.el8.remi remi-modular 1.6 M
php-mbstring x86_64 7.3.28-1.el8.remi remi-modular 524 k
php-opcache x86_64 7.3.28-1.el8.remi remi-modular 325 k
php-pdo x86_64 7.3.28-1.el8.remi remi-modular 142 k
php-xml x86_64 7.3.28-1.el8.remi remi-modular 231 k
トランザクションの概要
==========================================================================================================================================================
インストール 11 パッケージ
ダウンロードサイズの合計: 12 M
インストール後のサイズ: 45 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
nginx-filesystem-1:1.14.1-9.module_el8.0.0+184+e34fea82.noarch oniguruma5php-6.9.7.1-1.el8.remi.x86_64 php-7.3.28-1.el8.remi.x86_64
php-cli-7.3.28-1.el8.remi.x86_64 php-common-7.3.28-1.el8.remi.x86_64 php-fpm-7.3.28-1.el8.remi.x86_64
php-json-7.3.28-1.el8.remi.x86_64 php-mbstring-7.3.28-1.el8.remi.x86_64 php-opcache-7.3.28-1.el8.remi.x86_64
php-pdo-7.3.28-1.el8.remi.x86_64 php-xml-7.3.28-1.el8.remi.x86_64
完了しました!
# dnf install php-mysql
メタデータの期限切れの最終確認: 2:16:04 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
php-pecl-mysql x86_64 1.0.0-0.20.20180226.647c933.el8.remi.7.3 remi-modular 44 k
依存関係のインストール:
php-mysqlnd x86_64 7.3.28-1.el8.remi remi-modular 255 k
トランザクションの概要
==========================================================================================================================================================
インストール 2 パッケージ
ダウンロードサイズの合計: 299 k
インストール後のサイズ: 1.0 M
これでよろしいですか? [y/N]: y
パッケージのダウンロード:
(1/2): php-pecl-mysql-1.0.0-0.20.20180226.647c933.el8.remi.7.3.x86_64.rpm 47 kB/s | 44 kB 00:00
(2/2): php-mysqlnd-7.3.28-1.el8.remi.x86_64.rpm 183 kB/s | 255 kB 00:01
----------------------------------------------------------------------------------------------------------------------------------------------------------
合計 114 kB/s | 299 kB 00:02
トランザクションの確認を実行中
トランザクションの確認に成功しました。
トランザクションのテストを実行中
トランザクションのテストに成功しました。
トランザクションを実行中
準備 : 1/1
インストール中 : php-mysqlnd-7.3.28-1.el8.remi.x86_64 1/2
インストール中 : php-pecl-mysql-1.0.0-0.20.20180226.647c933.el8.remi.7.3.x86_64 2/2
scriptletの実行中: php-pecl-mysql-1.0.0-0.20.20180226.647c933.el8.remi.7.3.x86_64 2/2
検証 : php-mysqlnd-7.3.28-1.el8.remi.x86_64 1/2
検証 : php-pecl-mysql-1.0.0-0.20.20180226.647c933.el8.remi.7.3.x86_64 2/2
インストール済み:
php-mysqlnd-7.3.28-1.el8.remi.x86_64 php-pecl-mysql-1.0.0-0.20.20180226.647c933.el8.remi.7.3.x86_64
完了しました!
# dnf install php-zip php-gd
メタデータの期限切れの最終確認: 2:17:09 時間前の 2021年06月29日 06時05分13秒 に実施しました。
依存関係が解決しました。
==========================================================================================================================================================
パッケージ アーキテクチャー バージョン リポジトリー サイズ
==========================================================================================================================================================
インストール:
php-gd x86_64 7.3.28-1.el8.remi remi-modular 91 k
php-pecl-zip x86_64 1.19.3-2.el8.remi.7.3 remi-modular 67 k
依存関係のインストール:
dejavu-fonts-common noarch 2.35-7.el8 baseos 74 k
dejavu-sans-fonts noarch 2.35-7.el8 baseos 1.6 M
fontconfig x86_64 2.13.1-3.el8 baseos 275 k
fontpackages-filesystem noarch 1.44-22.el8 baseos 16 k
gd x86_64 2.2.5-7.el8 appstream 144 k
jbigkit-libs x86_64 2.1-14.el8 appstream 55 k
libtiff x86_64 4.0.9-18.el8 appstream 188 k
libzip x86_64 1.8.0-1.el8.remi remi-modular 69 k
トランザクションの概要
==========================================================================================================================================================
インストール 10 パッケージ
ダウンロードサイズの合計: 2.5 M
インストール後のサイズ: 7.9 M
これでよろしいですか? [y/N]: y
(snip)
インストール済み:
dejavu-fonts-common-2.35-7.el8.noarch dejavu-sans-fonts-2.35-7.el8.noarch fontconfig-2.13.1-3.el8.x86_64
fontpackages-filesystem-1.44-22.el8.noarch gd-2.2.5-7.el8.x86_64 jbigkit-libs-2.1-14.el8.x86_64
libtiff-4.0.9-18.el8.x86_64 libzip-1.8.0-1.el8.remi.x86_64 php-gd-7.3.28-1.el8.remi.x86_64
php-pecl-zip-1.19.3-2.el8.remi.7.3.x86_64
完了しました!
dnf install php-intl
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment